Issue #8508 has been updated by Eric Hodel.

Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN to 1.9.3: REQUIRED, 2.0.0: REQUIRED

Add backport request

----------------------------------------
Bug #8508: Invalid byte sequence in UTF-8 (ArgumentError) in win32/registry.rb
https://bugs.ruby-lang.org/issues/8508#change-45952

* Author: Thomas Deinhamer
* Status: Closed
* Priority: Normal
* Assignee: cruby-windows
* Category: M17N
* Target version: 
* ruby -v: 1.9.3
* Backport: 1.9.3: REQUIRED, 2.0.0: REQUIRED
----------------------------------------
Hi guys!

I'm using Vagrant and the VMware workstation plugin to provision a VMware workstation VM
but in the end this doesn't work because I get an error in win32/registry.rb:

"C:/HashiCorp/Vagrant/embedded/lib/ruby/1.9.1/win32/registry.rb:173:in `tr': invalid byte sequence in UTF-8 (ArgumentError)"

The Vagrant debug log which includes the error trace can be found here:
https://gist.github.com/thasmo/12f88c7b1025aa5f2c32

The related Vagrant bug ticket can be found here:
https://github.com/mitchellh/vagrant/issues/1757#issuecomment-19175619

Please let me know if you need any further information on this!

Thanks a lot!



-- 
https://bugs.ruby-lang.org/